# Uses of Class
org.eclipse.mat.snapshot.ClassLoaderHistogramRecord

Packages that use ClassLoaderHistogramRecord
Package
Description
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of ClassLoaderHistogramRecord in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that return ClassLoaderHistogramRecord
Modifier and Type
Method
Description
`ClassLoaderHistogramRecord`
ClassLoaderHistogramRecordBuilder.`toClassLoaderHistogramRecord(boolean isDefaultHistogram)`

## Uses of ClassLoaderHistogramRecord in org.eclipse.mat.parser.model

Subclasses of ClassLoaderHistogramRecord in org.eclipse.mat.parser.model
Modifier and Type
Class
Description
`final class`
`XClassLoaderHistogramRecord`
Accumulated data about a class loader, including classes and shallow and retained sizes.

## Uses of ClassLoaderHistogramRecord in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return types with arguments of type ClassLoaderHistogramRecord
Modifier and Type
Method
Description
`Collection<ClassLoaderHistogramRecord>`
Histogram.`getClassLoaderHistogramRecords()`
Get collection of all the class loaders for all the classes for all the objects which were found in the set of objects on which the class histogram was computed.